
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;


/**
 * The IRPTemplateParameter interface represents parameters of a template in Rational Rhapsody models.
 */
public interface IRPTemplateParameter  extends IRPVariable {
	/**
 	 * For internal use only.
 	 */
	public IRPModelElement getRepresentative();
	/**
 	 * Sets the type of the parameter to "class".
 	 */
	public void setClassType();
	/**
 	 * For internal use only.
 	 */
	public void setRepresentative(IRPModelElement representative);
}

